BasicTreeUI.MouseHandler (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.MouseHandler

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.plaf.basic.BasicTreeUI.MouseHandler

All Implemented Interfaces:
  EventListener, MouseListener, MouseMotionListener

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.MouseHandler
extends MouseAdapter
implements MouseMotionListener

TreeMouseListener is responsible for updating the selection based on mouse events.

Constructor Summary
`BasicTreeUI.MouseHandler()`

Method Summary
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.MouseHandler

    public BasicTreeUI.MouseHandler()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Invoked when the mouse button has been moved on a component (with no buttons no down).

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.